Method: projects.locations.instances.policyEngine.policies.addQuorumSignature

Custom Method: Appends a software-backed author signature to a policy. Standard UpdatePolicy is explicitly omitted to prevent malicious overwrites.

HTTP request

POST https://mpc.googleapis.com/v1alpha1/{name=projects/*/locations/*/instances/*/policyEngine/policies/*}:addQuorumSignature

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the policy to add a signature to. Format: projects/{project}/locations/{location}/instances/{instance}/policyEngine/policies/{policy} It takes the form projects/{project}/locations/{location}/instances/{instance}/policyEngine/policies/{policies}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "signature": {
    object (QuorumSignature)
  }
}
Fields
signature

object (QuorumSignature)

Required. The quorum signature to add.

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.